.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the VisualScriptVariableSet.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_VisualScriptVariableSet:

VisualScriptVariableSet
=======================

**Inherits:** :ref:`VisualScriptNode<class_visualscriptnode>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------



Member Functions
----------------

+------------------------------+----------------------------------------------------------------------------------------------------------------+
| :ref:`String<class_string>`  | :ref:`get_variable<class_VisualScriptVariableSet_get_variable>`  **(** **)** const                             |
+------------------------------+----------------------------------------------------------------------------------------------------------------+
| void                         | :ref:`set_variable<class_VisualScriptVariableSet_set_variable>`  **(** :ref:`String<class_string>` name  **)** |
+------------------------------+----------------------------------------------------------------------------------------------------------------+

Member Variables
----------------

- :ref:`String<class_string>` **var_name**

Member Function Description
---------------------------

.. _class_VisualScriptVariableSet_get_variable:

- :ref:`String<class_string>`  **get_variable**  **(** **)** const

.. _class_VisualScriptVariableSet_set_variable:

- void  **set_variable**  **(** :ref:`String<class_string>` name  **)**


